#ifndef INC_CONFIG_H
#define INC_CONFIG_H

#include "settings.h"

#include <string>

class Config
{
    public:
	double rating[3];
	double highestRating[3];

	UseAALevel useAA;
	bool showGrid;
	bool zoomEnabled;
	bool rotatingView;
	int fps;
	bool showFPS;
	bool sound;
	double aaGamma;
	int speed;

	bool shouldUpdateRating;
	char username[17];
	unsigned int uuid;

	int width;
	int height;
	int bpp;
	bool fullscreen;
	
	void read();
	void write() const;
	void importSettings(const Settings& settings);
	void exportSettings(Settings& settings) const;

	Config();
};

int obfuscatedRating(double rating);

extern Config config;

#endif /* INC_CONFIG_H */
